﻿using System.Collections.Generic;
using Composite.Data;
using Composite.Data.Types;
using Composite.C1Console.Security;



namespace AttachingCustomElementsSample
{
    public sealed class MyDataEntityTokenAuxiliarySecurityAncestorProvider : IAuxiliarySecurityAncestorProvider
    {
        public Dictionary<EntityToken, IEnumerable<EntityToken>> GetParents(IEnumerable<EntityToken> entityTokens)
        {
            Dictionary<EntityToken, IEnumerable<EntityToken>> result = new Dictionary<EntityToken, IEnumerable<EntityToken>>();

            foreach (EntityToken entityToken in entityTokens)
            {
                DataEntityToken dataEntityToken = entityToken as DataEntityToken;
                if (dataEntityToken.Data == null) continue;

                if (dataEntityToken.InterfaceType != typeof(IPage)) continue;

                IPage page = dataEntityToken.Data as IPage;

                if (page.PublicationStatus == "awaitingApproval")
                {
                    result.Add(entityToken, new MyEntityToken[] { new MyEntityToken("Approval") });
                }
                else if (page.PublicationStatus == "awaitingPublication")
                {
                    result.Add(entityToken, new MyEntityToken[] { new MyEntityToken("Publication") });
                }
            }

            return result;
        }
    }
}
