﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Composite.Data;
using Composite.Data.Types;
using Composite.C1Console.Users;


namespace AttachingCustomElementsSample
{
    public partial class MyUrlAction : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string pageIdString = this.Request.QueryString["pageId"];

            if (pageIdString == null) throw new InvalidOperationException();

            Guid pageId = new Guid(pageIdString);

            using (new DataScope(DataScopeIdentifier.Administrated, UserSettings.ActiveLocaleCultureInfo))
            {
                 IPage page = PageManager.GetPageById(pageId);

                 this.MyPlaceHolder.Controls.Add(new LiteralControl("Title: " + page.Title + "<br />"));
            }
        }
    }
}
