﻿using System.Collections.Generic;
using Composite.C1Console.Actions;
using Composite.C1Console.Security;


namespace AttachingCustomElementsSample
{
    [ActionExecutor(typeof(MyUrlActionExecutor))]
    public sealed class MyUrlActionToken : ActionToken
    {
        private static PermissionType[] _permissionTypes = new PermissionType[] { PermissionType.Administrate };

        public override IEnumerable<PermissionType> PermissionTypes
        {
            get { return _permissionTypes; }
        }

        public override string Serialize()
        {
            return "MyUrlAction";
        }


        public static ActionToken Deserialize(string serializedData)
        {
            return new MyUrlActionToken();
        }
    }
}
